{
  pkgs,
  userName,
  hostname,
  ...
} @ args: {
  # Set up networking configuration
  networking.hostName = hostname;
  networking.computerName = hostname;
  # networking.firewall.enable = true; # VERY important, do not touch
  # networking.firewall.allowedTCPPorts = [];
  # networking.firewall.allowedUDPPorts = [];
  # networking.networkmanager.enable = pkgs.stdenv.isLinux; # Linux tool for managing network connections
  system.defaults.smb.NetBIOSName = hostname;

  # Set up user accounts
  # Don't forget to set a password with ‘passwd’!
  users.users."${userName}" = {
    home =
      if pkgs.stdenv.isDarwin
      then "/Users/${userName}"
      else "/home/${userName}";
    description = userName;
  };

  nix.settings.trusted-users = [userName];
}
